CoCoALib - Feature #123

IdealOfPoints with generic coeffs
04 Apr 2012 13:07 - Anna Maria Bigatti

Status: New Start date: 04 Apr 2012
Priority: Normal Due date:

Assignee: % Done: 0%
Category: New Function Estimated time: 0.00 hour
Target version: CoCoALib-1.0 Spent time: 1.00 hour
Description

Think about the implementation of IdealOfPoints in the case of generic coefficients (e.g. in QQ(a))

Implement it and publish a paper about it!

Related issues:

Related to CoCoALib - Feature #144: Buchberger-Moeller: generic impl

Related to CoCoALib - Feature #143: Buchberger-Moeller (parent task)

Related to CoCoA-5 - Feature #960: New function: IdealAndSeparatorsOfPoints

Closed
In Progress
New

01 May 2012
01 May 2012
02 Nov 2016

History

#1 - 21 Jan 2013 15:21 - John Abbott

A reasonable outline of algorithm is:

1. Choose a suitable homomorphism (to a prime (finite?) field?).
2. Compute basis in homomorphic image.
3. Using the QB from homomorphic image, use lin alg to compute the GBasis.

#2 - 28 Jan 2013 08:03 - Anna Maria Bigatti

- Category set to New Function

#3 - 02 Apr 2014 09:39 - Anna Maria Bigatti
- Target version set to CoCoALib-0.99532

Is this a duplicate of issue #1447

#4 - 03 Apr 2014 11:29 - John Abbott
- Target version changed from CoCoALib-0.99532 to CoCoALib-0.99533 Easter14

#5 - 07 Apr 2014 18:16 - John Abbott
- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-0.99534 Seoul14

#6 - 09 Jul 2014 18:15 - John Abbott
- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-1.0

#7 - 02 Nov 2016 09:02 - Anna Maria Bigatti
- Related to Feature #960: New function: IdealAndSeparatorsOfPoints added

17 Apr 2024
